package com.wechat.model.dbEntity;

import java.util.Date;

public class MdeExchangeHis extends BaseEntity{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1954984227589672624L;

	private Integer hisId;

    private String userCode;

    private String prizeId;

    private Integer actId;

    private String prizeNameCn;

    private String prizeNameEn;

    //已兑换优质会员数
    private int            exchangeQuality;
    
    //已兑换普通会员数
    private int            exchangeNormal;
    
    //实际兑换优质会员数
    private int            actualQuality;
    
    //实际兑换优质会员数
    private int            actualNormal;

    private String status;

    private String checkBy;

    private Date checkTime;


    public Integer getHisId() {
        return hisId;
    }

    public void setHisId(Integer hisId) {
        this.hisId = hisId;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getPrizeId() {
        return prizeId;
    }

    public void setPrizeId(String prizeId) {
        this.prizeId = prizeId == null ? null : prizeId.trim();
    }

    public Integer getActId() {
        return actId;
    }

    public void setActId(Integer actId) {
        this.actId = actId;
    }

    public String getPrizeNameCn() {
        return prizeNameCn;
    }

    public void setPrizeNameCn(String prizeNameCn) {
        this.prizeNameCn = prizeNameCn == null ? null : prizeNameCn.trim();
    }

    public String getPrizeNameEn() {
        return prizeNameEn;
    }

    public void setPrizeNameEn(String prizeNameEn) {
        this.prizeNameEn = prizeNameEn == null ? null : prizeNameEn.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getCheckBy() {
        return checkBy;
    }

    public void setCheckBy(String checkBy) {
        this.checkBy = checkBy == null ? null : checkBy.trim();
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

	public int getExchangeQuality() {
		return exchangeQuality;
	}

	public void setExchangeQuality(int exchangeQuality) {
		this.exchangeQuality = exchangeQuality;
	}

	public int getExchangeNormal() {
		return exchangeNormal;
	}

	public void setExchangeNormal(int exchangeNormal) {
		this.exchangeNormal = exchangeNormal;
	}

	public int getActualQuality() {
		return actualQuality;
	}

	public void setActualQuality(int actualQuality) {
		this.actualQuality = actualQuality;
	}

	public int getActualNormal() {
		return actualNormal;
	}

	public void setActualNormal(int actualNormal) {
		this.actualNormal = actualNormal;
	}

}